<?php
require_once("conn.php");
?>
<!DOCTYPE html>
<html lang="en">


<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="x-ua-compatible" content="ie=edge">

    <title>RCCG JUNIOR CHURCH - EVENT MANAGEMENT PORTAL</title>
    <link rel="shortcut icon" href="assets/images/icon2.png">

    <!-- fraimwork - css include -->
    <link rel="stylesheet" type="text/css" href="assets/css/bootstrap.min.css">

    <!-- icon css include -->
    <link rel="stylesheet" type="text/css" href="assets/css/fontawesome-all.css">
    <link rel="stylesheet" type="text/css" href="assets/css/flaticon.css">

    <!-- carousel css include -->
    <link rel="stylesheet" type="text/css" href="assets/css/slick.css">
    <link rel="stylesheet" type="text/css" href="assets/css/slick-theme.css">
    <link rel="stylesheet" type="text/css" href="assets/css/animate.css">
    <link rel="stylesheet" type="text/css" href="assets/css/owl.carousel.min.css">
    <link rel="stylesheet" type="text/css" href="assets/css/owl.theme.default.min.css">

    <!-- others css include -->
    <link rel="stylesheet" type="text/css" href="assets/css/magnific-popup.css">
    <link rel="stylesheet" type="text/css" href="assets/css/jquery.mCustomScrollbar.min.css">
    <link rel="stylesheet" type="text/css" href="assets/css/calendar.css">

    <!-- color switcher css include -->
    <link rel="stylesheet" type="text/css" href="assets/css/colors/style-switcher.css">
    <link id="color_theme" rel="stylesheet" type="text/css" href="assets/css/colors/default.css">

    <!-- custom css include -->
    <link rel="stylesheet" type="text/css" href="assets/css/style.css">

</head>


<body>





    <!-- backtotop - start -->
    <div id="thetop" class="thetop"></div>
    <div class='backtotop'>
        <a href="#thetop" class='scroll'>
            <i class="fas fa-angle-double-up"></i>
        </a>
    </div>
    <!-- backtotop - end -->

    <!-- preloader - start -->
    <!-- <div id="preloader"></div> -->
    <!-- preloader - end -->





    <!-- header-section - start
		================================================== -->
    <header id="header-section" class="header-section sticky-header-section not-stuck clearfix">
        <!-- header-bottom - start -->
        <div class="header-bottom">
            <div class="container">
                <div class="row">

                    <!-- site-logo-wrapper - start -->
                    <div class="col-lg-3">
                        <div class="site-logo-wrapper">
                            <a href="index.html" class="logo">
                                <img src="assets/images/dtce_logo.png" width="40%" alt="RJC">
                            </a>
                        </div>
                    </div>
                    <!-- site-logo-wrapper - end -->

                    <!-- mainmenu-wrapper - start -->
                    <div class="col-lg-9">
                        <div class="mainmenu-wrapper">
                            <div class="row">

                                <!-- menu-item-list - start -->
                                <div class="col-lg-10">
                                    <div class="menu-item-list ul-li clearfix">
                                        <ul>
                                            <li class="menu-item-has-children active">
                                                <a href="./index.html">Home</a>
                                            </li>
                                            <li class="menu-item-has-children">
                                                <a href="https://quiz.rccgjuniorchurch.org">Quiz Portal</a>

                                            </li>
                                            <li class="menu-item-has-children">
                                                <a href="#">Choir Portal</a>

                                            </li>
                                            <li>
                                                <a href="https://convention.rccgjuniorchurch.org/rccglogin/coordlogindashboard.php">Coordinators portal</a>
                                            </li>


                                            <li class="menu-item-has-children">
                                                <a href="#news-update-section">Faq</a>
                                            </li>
                                            <li class="">
                                                <a href="https://www.youtube.com/live/9Tmq_p68R-o"><i class="fas fa-video"></i> Live</a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <!-- menu-item-list - end -->

                                <!-- menu-item-list - start -->
                                <!--<div class="col-lg-2">
										<div class="user-search-btn-group ul-li clearfix">
											<ul>
												<li>
													<a href="#login-modal" class="login-modal-btn">
														<i class="fas fa-user"></i>
													</a>
													<div id="login-modal" class="reglog-modal-wrapper mfp-hide clearfix" style="background-image: url(assets/images/login-modal-bg.jpg);">
														<div class="overlay-black clearfix">

															 leftside-content - start 
															<div class="leftside-content">
																<div class="site-logo-wrapper mb-80">
																	<a href="#!" class="logo">
																		<img src="assets/images/2.site-logo.png" alt="logo_not_found">
																	</a>
																</div>
																<div class="register-login-link mb-80">
																	<ul>
																		<li class="active"><a href="#!">Login</a></li>
																		<li><a href="#!">Register</a></li>
																	</ul>
																</div>
																<div class="copyright-text">
																	<p class="m-0">©2019 <a href="#!" class="yellow-color">Harmoni.com</a> all right reserved, made with <i class="fas fa-heart"></i> by jThemes Studio </p>
																</div>
															</div>
															 leftside-content - end 

															 rightside-content - start 
															<div class="rightside-content text-center">

																<div class="mb-30">
																	<h2 class="form-title title-large white-color">Account <strong>Login</strong></h2>
																	<span class="form-subtitle white-color">Login to our website, or <strong>REGISTER</strong></span>
																</div>

																<div class="fb-login-btn mb-30">
																	<a href="#!">
																		<span class="icon">
																			<i class="fab fa-facebook-f"></i>
																		</span>
																		login with facebook
																	</a>
																</div>

																<div class="or-text mb-30">
																	<span>or sign in</span>
																</div>

																<div class="login-form text-center mb-50">
																	<form action="#!">
																		<div class="form-item">
																			<input type="email" placeholder="example@gmail.com">
																		</div>
																		<div class="form-item">
																			<input type="password" placeholder="Password">
																		</div>
																		<button type="submit" class="login-btn">login now</button>
																	</form>
																</div>

																<div class="bottom-text white-color">
																	<p class="m-0">
																		* Denotes mandatory field.
																	</p>
																	<p class="m-0">** At least one telephone number is required.</p>
																</div>

															</div>
															 rightside-content - end 

															<a class="popup-modal-dismiss" href="#!">
																<i class="fas fa-times"></i>
															</a>

														</div>
													</div>
												</li>
												<li>
													<button type="button" class="toggle-overlay search-btn">
														<i class="fas fa-search"></i>
													</button>
													 search-body - start 
													<div class="search-body">
														<div class="search-form">
															<form action="#">
																<input class="search-input" type="search" placeholder="Search Here">
																<div class="outer-close toggle-overlay">
																	<button type="button" class="search-close">
																		<i class="fas fa-times"></i>
																	</button>
																</div>
															</form>
														</div>
													</div>
													 search-body - end -->
                                </li>
                                </ul>
                            </div>
                        </div>
                        <!-- menu-item-list - end -->

                    </div>
                </div>
            </div>
            <!-- mainmenu-wrapper - end -->

        </div>
        </div>
        </div>
        <!-- header-bottom - end -->
    </header>
    <!-- header-section - end
		================================================== -->





    <!-- altranative-header - start
		================================================== -->
    <div class="header-altranative">
        <div class="container">
            <div class="logo-area float-left">
                <a href="index.html">
                    <img src="assets/images/dtce.png" width="50%" alt="RJC">
                </a>
            </div>

            <button type="button" id="sidebarCollapse" class="alt-menu-btn float-right">
                <i class="fas fa-bars"></i>
            </button>
        </div>

        <!-- sidebar menu - start -->
        <div class="sidebar-menu-wrapper">
            <div id="sidebar" class="sidebar">
                <span id="sidebar-dismiss" class="sidebar-dismiss">
                    <i class="fas fa-arrow-left"></i>
                </span>

                <div class="sidebar-header">
                    <a href="#!">
                        <img src="assets/images/dtce.png" width="50%" alt="RJC">
                    </a>
                </div>

                <!-- sidebar-form - start -->
                <div class="sidebar-form">
                    <form action="#">
                        <input id="altmenu-sidebar-search" type="search" placeholder="Search">
                        <label for="altmenu-sidebar-search"><i class="fas fa-search"></i></label>
                    </form>
                </div>
                <!-- sidebar-form - end -->

                <!-- main-pages-links - start -->
                <div class="menu-link-list main-pages-links">
                    <h2 class="menu-title">MAIN MENU</h2>
                    <ul>
                        <li class="active">
                            <a href="./index.html">
                                <span class="icon"><i class="fas fa-home"></i></span>
                                Home
                            </a>
                        </li>
                        <li>
                            <a href="https://quiz.rccgjuniorchurch.org">
                                <span class="icon"></span>
                                Quiz Portal
                            </a>
                        </li>
                        <li>
                            <a href="#">
                                <span class="icon"></span>
                                Choir Portal
                            </a>
                        </li>
                        <li>
                            <a href="https://convention.rccgjuniorchurch.org/rccglogin/coordlogindashboard.php">
                                <span class="icon"></span>
                                Coordinators Portal
                            </a>
                        </li>
                        <li>
                            <a href="faq.html">
                                <span class="icon"></span>
                                Faq
                            </a>
                        </li>
                        <li>
                            <a href="https://www.youtube.com/live/9Tmq_p68R-o">
                                <span class="icon"></span>
                                LIVE
                            </a>
                        </li>


                    </ul>
                </div>
                <!-- main-pages-links - end -->


            </div>
            <!-- other-pages-links - end -->


        </div>
        <!-- inner-pages-links - end -->

        <!-- login-btn-group - start -->
        <!--<div class="login-btn-group">
						<ul>

							<li>
								<a href="#alt-register-modal" class="register-modal-btn">
									Register
								</a>
								<div id="alt-register-modal" class="reglog-modal-wrapper register-modal mfp-hide clearfix" style="background-image: url(assets/images/login-modal-bg.jpg);">
									<div class="overlay-black clearfix">

										 leftside-content - start 
										<div class="leftside-content">
											<div class="site-logo-wrapper mb-80">
												<a href="#!" class="logo">
													<img src="assets/images/2.site-logo.png" alt="logo_not_found">
												</a>
											</div>
											<div class="register-login-link mb-80">
												<ul>
													<li><a href="#!">Login</a></li>
													<li class="active"><a href="#!">Register</a></li>
												</ul>
											</div>
											<div class="copyright-text">
												<p class="m-0">©2019 <a href="#!" class="yellow-color">Harmoni.com</a> all right reserved, made with <i class="fas fa-heart"></i> by jThemes Studio </p>
											</div>
										</div>
									leftside-content - end 

										 rightside-content - start 
										<div class="rightside-content text-center">

											<div class="mb-30">
												<h2 class="form-title title-large white-color">Account <strong>Register</strong></h2>
												<span class="form-subtitle white-color">Have an account? <strong>LOGIN NOW</strong></span>
											</div>

											<div class="login-form text-center mb-50">
												<form action="#!">
													<div class="form-item">
														<input type="email" placeholder="User Name">
													</div>
													<div class="form-item">
														<input type="password" placeholder="Password">
													</div>
													<div class="form-item">
														<input type="email" placeholder="Repeat Password">
													</div>
													<div class="form-item">
														<input type="password" placeholder="Email Address">
													</div>
													<div class="human-verification text-left">
														<input type="checkbox" id="alt-imnotarobot">
														<label for="alt-imnotarobot">I'm not a robot</label>
														<span class="verification-image">
															<img src="assets/images/iamnotrobot.png" alt="Image_not_found">
														</span>
													</div>
													<button type="submit" class="login-btn">login now</button>
												</form>
											</div>

											<div class="bottom-text white-color">
												<p class="m-0">
													* Denotes mandatory field.
												</p>
												<p class="m-0">** At least one telephone number is required.</p>
											</div>

										</div>
								 rightside-content - end

										<a class="popup-modal-dismiss" href="#!">
											<i class="fas fa-times"></i>
										</a>

									</div>
								</div>
							</li>
							<li>
								<a href="#alt-login-modal" class="login-modal-btn">
									Login
								</a>
								<div id="alt-login-modal" class="reglog-modal-wrapper mfp-hide clearfix" style="background-image: url(assets/images/login-modal-bg.jpg);">
									<div class="overlay-black clearfix">-->

        <!-- leftside-content - start -->

        <!-- leftside-content - end -->

        <!-- rightside-content - start 
										<div class="rightside-content text-center">

											<div class="mb-30">
												<h2 class="form-title title-large white-color">Account <strong>Login</strong></h2>
												<span class="form-subtitle white-color">Login to our website, or <strong>REGISTER</strong></span>
											</div>

											<div class="fb-login-btn mb-30">
												<a href="#!">
													<span class="icon">
														<i class="fab fa-facebook-f"></i>
													</span>
													login with facebook
												</a>
											</div>

											<div class="or-text mb-30">
												<span>or sign in</span>
											</div>

											<div class="login-form text-center mb-50">
												<form action="#!">
													<div class="form-item">
														<input type="email" placeholder="example@gmail.com">
													</div>
													<div class="form-item">
														<input type="password" placeholder="Password">
													</div>
													<button type="submit" class="login-btn">login now</button>
												</form>
											</div>

											<div class="bottom-text white-color">
												<p class="m-0">
													* Denotes mandatory field.
												</p>
												<p class="m-0">** At least one telephone number is required.</p>
											</div>

										</div>
										 rightside-content - end 

										<a class="popup-modal-dismiss" href="#!">
											<i class="fas fa-times"></i>
										</a>

									</div>
								</div>
							</li>
							
						</ul>
					</div>
 login-btn-group - end -->

        <!-- social-links - start -->

        <!-- social-links - end -->


    </div>
    </div>
    <!-- sidebar menu - end -->
    </div>
    <!-- altranative-header - end
		================================================== -->





    <!-- slide-section - start -->
<section id="slide-section" class="slide-section clearfix">
    <div id="main-carousel1" class="main-carousel1 owl-carousel owl-theme">
        <?php
        // Include the conn.php file
        require_once 'conn.php';

        try {
            // Fetch slides from the database
            $sql = "SELECT * FROM slides";
            $stmt = $conn->query($sql);

            // Output each slide as HTML
            while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
                // Check if the slide is a video
                if (!empty($row["video_url"])) {
                    // Display video slide
                    echo '<div class="item">';
                    echo '<div class="video-container">';
                    echo '<video controls>';
                    echo '<source src="' . htmlspecialchars($row["video_url"]) . '" type="video/mp4">';
                    echo 'Your browser does not support the video tag.';
                    echo '</video>';
                    echo '</div>';
                    echo '<div class="slider-item-content">';
                    echo '<h1 class="big-text">' . htmlspecialchars($row["title"]) . '</h1>';
                    echo '<small class="small-text">' . htmlspecialchars($row["subtitle"]) . '</small>';
                    echo '<div class="link-groups">';
                    echo '<a href="' . htmlspecialchars($row["link"]) . '" class="about-btn custom-btn">KNOW MORE</a>';
                    echo '</div>';
                    echo '</div>';
                    echo '</div>';
                } else if (!empty($row["image_url"])) {
                    // Display image slide
                    echo '<div class="item" style="background-image: url(' . htmlspecialchars($row["image_url"]) . ');">';
                    echo '<div class="slider-item-content">';
                    echo '<h1 class="big-text">' . htmlspecialchars($row["title"]) . '</h1>';
                    echo '<small class="small-text">' . htmlspecialchars($row["subtitle"]) . '</small>';
                    echo '<div class="link-groups">';
                    echo '<a href="' . htmlspecialchars($row["link"]) . '" class="about-btn custom-btn">KNOW MORE</a>';
                    echo '</div>';
                    echo '</div>';
                    echo '</div>';
                }
            }
        } catch (PDOException $e) {
            echo "Error: " . $e->getMessage();
        }
        ?>
    </div>
</section>
<!-- slide-section - end -->
<div id="absolute-eventmake-section" class="absolute-eventmake-section sec-ptb-100 bg-gray-light clearfix">
			<div class="eventmaking-wrapper">

				<ul class="nav eventmake-tabs">
					<li>
						<a class="active" data-toggle="tab" href="#conference">
							<i class="fas fa-microphone"></i>
							conference
						</a>
					</li>
					<li>
						<a data-toggle="tab" href="#musical">
							<i class="fas fa-music"></i>
							musical
						</a>
					</li>
					<li>
						<a data-toggle="tab" href="#playground">
							<i class="fas fa-birthday-cake"></i>
							play ground
						</a>
					</li>
				</ul>

				<div class="tab-content">
					<div id="conference" class="tab-pane fade in active show">
						<form action="#">
							<ul>

								<li>
									<input type="text" placeholder="Type event name">
								</li>
								<li>
									<select class="country-select">
										<option selected="">select Country</option>
										<option>option 1</option>
										<option>option 2</option>
										<option>option 3</option>
										<option>option 4</option>
										<option>option 5</option>
									</select>
								</li>
								<li>
									<select class="capital-select">
										<option selected="">select capital</option>
										<option>option 1</option>
										<option>option 2</option>
										<option>option 3</option>
										<option>option 4</option>
										<option>option 5</option>
									</select>
								</li>
								<li>
									<select class="date-select">
										<option selected="">select date</option>
										<option>option 1</option>
										<option>option 2</option>
										<option>option 3</option>
										<option>option 4</option>
										<option>option 5</option>
									</select>
								</li>
								<li>
									<button type="submit" class="custom-btn">search event</button>
								</li>

							</ul>
						</form>
					</div>

					<div id="musical" class="tab-pane fade">
						<form action="#">
							<ul>

								<li>
									<input type="text" placeholder="Type event name">
								</li>
								<li>
									<select class="country-select">
										<option selected="">select Country</option>
										<option>option 1</option>
										<option>option 2</option>
										<option>option 3</option>
										<option>option 4</option>
										<option>option 5</option>
									</select>
								</li>
								<li>
									<select class="capital-select">
										<option selected="">select capital</option>
										<option>option 1</option>
										<option>option 2</option>
										<option>option 3</option>
										<option>option 4</option>
										<option>option 5</option>
									</select>
								</li>
								<li>
									<select class="date-select">
										<option selected="">select date</option>
										<option>option 1</option>
										<option>option 2</option>
										<option>option 3</option>
										<option>option 4</option>
										<option>option 5</option>
									</select>
								</li>
								<li>
									<button type="submit" class="custom-btn">search event</button>
								</li>

							</ul>
						</form>
					</div>
					<div id="playground" class="tab-pane fade">
						<form action="#">
							<ul>

								<li>
									<input type="text" placeholder="Type event name">
								</li>
								<li>
									<select class="country-select">
										<option selected="">select Country</option>
										<option>option 1</option>
										<option>option 2</option>
										<option>option 3</option>
										<option>option 4</option>
										<option>option 5</option>
									</select>
								</li>
								<li>
									<select class="capital-select">
										<option selected="">select capital</option>
										<option>option 1</option>
										<option>option 2</option>
										<option>option 3</option>
										<option>option 4</option>
										<option>option 5</option>
									</select>
								</li>
								<li>
									<select class="date-select">
										<option selected="">select date</option>
										<option>option 1</option>
										<option>option 2</option>
										<option>option 3</option>
										<option>option 4</option>
										<option>option 5</option>
									</select>
								</li>
								<li>
									<button type="submit" class="custom-btn">search event</button>
								</li>

							</ul>
						</form>
					</div>

					<div class="top-event-location">
						<span class="title-text">TOP SEARCH <strong>EVENT LOCATION:</strong></span>
						<ul>

							<li><strong>Jakarta</strong> Indonesia</li>
							<li><strong>Paris</strong> Franc</li>
							<li><strong>Milan</strong> Italia</li>
							<li><strong>Amsterdam</strong> Netherland</li>
							<li><strong>Barcelona</strong> Spain</li>
							<li><strong>Istanbul</strong> Turkey</li>
							
						</ul>
					</div>
				</div>
				
			</div>
		</div>


    <section id="event-advertisement-section" class="event-advertisement-section clearfix" style="background-image: url(assets/img/banner-bg.png);">
        <div class="container">
            <div class="row">
                <?php
                // Include the conn.php file
                // require_once ("conn.php"); // No need to include again

                try {
                    // Fetch only the newly uploaded events from the database
                    $sqlr = "SELECT * FROM events ORDER BY upload_timestamp DESC LIMIT 1";
                    $stmtr = $conn->query($sqlr);
                    // Output each newly uploaded event as HTML
                    while ($row = $stmtr->fetch(PDO::FETCH_ASSOC)) {
                        echo '<div class="col-lg-7 col-md-12 col-sm-12">';
                        echo '<div class="event-item">';
                        echo '<div class="event-image">';
                        echo '<img src="' . $row["event_image"] . '" alt="Event Image">';
                        echo '<a href="#!" class="plus-effect"></a>';
                        echo '</div>';
                        echo '<div class="event-content">';
                        echo '<div class="event-title">';
                        echo '<span class="tag"><i class="fas fa-bookmark"></i> Upcoming Event</span>';
                        echo '<h3 class="title-text">' . $row["event_title"] . '</h3>';
                        echo '<h3 class="title-text">THEME: <strong>' . $row["event_theme"] . '</strong></h3>';
                        echo '<small class="ticket-price">' . $row["ticket_price"] . '</small>';
                        echo '</div>';
                        echo '<div class="event-info ul-li-block">';
                        echo '<ul>';
                        echo '<li><span class="icon"><i class="far fa-clock"></i></span>' . $row["event_date"] . '</li>'; // Modify date format if needed
                        echo '<li><span class="icon"><i class="fas fa-map-marker-alt"></i></span>' . $row["event_location"] . '</li>';
                        echo '</ul>';
                        echo '</div>';
                        echo '</div>';
                        echo '</div>';
                        echo '</div>';
                        echo '<div class="col-lg-5 col-md-12 col-sm-12">';
                        echo '<div class="right-content-wrapper">';
                        echo '<div class="countdown-timer mb-30">';
                        echo '<ul class="countdown-list" data-countdown="' . $row["event_date"] . '"></ul>'; // Make sure to format date properly for countdown
                        echo '</div>';
                        echo '<div class="text-right">';
                        echo '<a href="' . $row["nigerians_link"] . '" class="booking-btn" id="register">NIGERIANS</a>';
                        echo '<a href="' . $row["foreigners_link"] . '" class="details-btn">FOREIGNERS</a>';
                        echo '</div>';
                        echo '</div>';
                        echo '</div>';
                    }
                } catch (PDOException $e) {
                    echo "Error: " . $e->getMessage();
                }

                // Close the database connection
                // $conn = null;
                ?>
            </div>
        </div>
    </section>

 <?php
// Include the database connection file
require_once 'conn.php'; // Assuming your connection file is named 'conn.php'

// Define your SQL query to select all records from the 'mgo' table
$sql = "SELECT * FROM mgo ORDER BY upload_timestamp DESC LIMIT 1";

// Execute the query and fetch the results
$stmt = $conn->query($sql);

// Check if there are any records returned
if ($stmt->rowCount() > 0) {
    // Loop through each record and echo its contents
    while ($mgo = $stmt->fetch(PDO::FETCH_ASSOC)) {
?>
        <!-- upcomming-mgo-section2 - start -->
        <section id="upcomming-event-section2" class="upcomming-event-section2 sec-ptb-100 clearfix">
            <div class="container">
                <!-- section-title - start -->
                <div class="section-title mb-50">
                    <span class="line-style"></span>
                    <small class="sub-title">2024 Convention Welcome Address</small>
                    <h2 class="big-title"><strong>Director's</strong> Address</h2>
                </div>
                <!-- section-title - end -->
            </div>
            <div class="comming-event-item">
                <div class="container">
                    <div class="row justify-content-start">
                        <div class="col-lg-6 col-md-12 col-sm-12">
                            <div class="event-content">
                                <!-- event-title - start -->
                                <div class="event-title">
                                    <small class="tag">
                                        <i class="fas fa-bookmark"></i>
                                        <?php echo $mgo['event_title']; ?>
                                    </small>
                                    <h3 class="title-text">THEME: <strong><?php echo $mgo['event_theme']; ?></strong></h3>
                                    <span class="sub-title" style="width: 200px;"><?php echo htmlspecialchars($mgo['event_speaker'], ENT_QUOTES, 'UTF-8'); ?></span>
                                </div>
                                <!-- event-title - end -->
                                <div class="event-description-container">
                                    <div class="event-description">
                                        <?php echo $mgo['event_description']; ?>
                                    </div>
                                </div>
                                <div class="event-info-list ul-li-block mb-30">
                                    <!-- Additional event info can be added here -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="event-image">
                    <div class="big-image">
                        <div class="badge-item">
                            <div class="content">
                                <i class="fas fa-book"></i>
                                <strong>MGO</strong>
                                <small>welcome Address</small>
                            </div>
                        </div>
                        <div class="brand-logo">
                            <a href="#!" class="logo">
                                <img src="assets/images/dtce.png" alt="logo_not_found">
                            </a>
                        </div>
                        <img src="<?php echo $mgo['event_image']; ?>" alt="Image_not_found">
                    </div>
                </div>
            </div>
        </section>
        <!-- upcomming-event-section2 - end -->
<?php
    }
} else {
    // If no upcoming events found
    echo "<p>No MGO's Address.</p>";
}

// Close the database connection
// $conn = null;
?>



    <!-- speaker-section - start
		================================================== -->
    <?php
    require 'conn.php'; // Include the connection file

    try {
        // Step 1: Fetch speaker records from the database
        $query = "SELECT * FROM speakers LIMIT 20"; // Limit to 20 speakers
        $statement = $conn->query($query);

        // Start of the speaker section HTML
        echo '<section id="speaker-section" class="speaker-section clearfix">';
        echo '<div class="jarallax" style="background-image: url(./assets/images/speaker/Black-White-Dubai-Wallpaper.jpg);">';
        echo '<div class="overlay-white">';
        echo '<div class="container">';

        // Start of the speaker-carousel HTML
        echo '<div class="speaker-carousel">';
        echo '<div class="slider-for">';

        // Step 2: Iterate over the fetched records to populate main speaker section
        while ($row = $statement->fetch(PDO::FETCH_ASSOC)) {
            echo '<div class="item">';
            echo '<div class="row">';

            // Speaker image and name
            echo '<div class="col-lg-6 col-md-12 col-sm-12">';
            echo '<div class="speaker-image image-wrapper text-center">';
            echo '<img src="' . $row['image'] . '" alt="Image_not_found">';
            echo '<span class="speaker-name"><strong>' . $row['name'] . '</strong></span>';
            echo '</div>';
            echo '</div>';

            // Speaker content
            echo '<div class="col-lg-6 col-md-12 col-sm-12">';
            echo '<div class="speaker-content">';
            echo '<div class="section-title text-left mb-50">';
            echo '<span class="line-style"></span>';
            echo '<small class="sub-title">junior church ' . date("Y") . ' annual convention guest ministers</small>';
            echo '<h2 class="big-title">' . date("Y") . ' Convention Guest <strong>Ministers</strong></h2>';
            echo '</div>';
            echo '<div class="speaker-info">';
            echo '<div class="speaker-title mb-30">';
            echo '<span class="speaker-name"><strong>' . $row['name'] . '</strong></span>';
            echo '<span class="work-experienc yellow-color"><strong>' . $row['position'] . '</strong></span>';
            echo '</div>';
            echo '</div>';
            echo '</div>';
            echo '</div>';

            echo '</div>';
            echo '</div>';
        }

        // End of the slider-for
        echo '</div>';

        // Start of the slider-nav
        echo '<div class="slider-nav">';

        // Step 3: Iterate over the fetched records to populate the carousel
        $statement->execute(); // Resetting the statement to fetch again
        while ($row = $statement->fetch(PDO::FETCH_ASSOC)) {
            echo '<div class="item">';
            echo '<div class="item-content">';
            echo '<span class="speaker-thumbnail">';
            echo '<img src="' . $row['image'] . '" alt="Image_not_found">';
            echo '</span>';
            echo '<h3 class="speaker-name">' . $row['name'] . '</h3>';
            echo '<span class="sub-title">Annual Convention Guest Ministers</span>';
            echo '</div>';
            echo '</div>';
        }

        // End of the slider-nav
        echo '</div>';

        // End of the speaker-carousel HTML
        echo '</div>';

        // End of the speaker section HTML
        echo '</div>';
        echo '</div>';
        echo '</div>';
        echo '</section>';
    } catch (PDOException $e) {
        echo "Error: " . $e->getMessage();
    }
    ?>

    <!-- speaker-section - end
		================================================== -->






    <!-- upcomming-event-section - start
		================================================== -->
    <?php
    require_once("conn.php");
    $stmt = $conn->prepare("SELECT * FROM upcoming_events LIMIT 20");
    $stmt->execute();
    $events = $stmt->fetchAll(PDO::FETCH_ASSOC);

    // Check if there are any events
    if ($events) {
        echo '<section id="upcomming-event-section" class="upcomming-event-section sec-ptb-100 clearfix">
        <div class="container">
            <div class="section-title text-center mb-50">
                <small class="sub-title">our event schedules</small>
                <h2 class="big-title">Latest <strong>national junior church programmes schedule</strong></h2>
            </div>
            <div id="upcomming-event-carousel" class="upcomming-event-carousel owl-carousel owl-theme">';

        // Iterate over each event
        foreach ($events as $event) {
            echo '<div class="item">
                <div class="event-item">
                    <div class="countdown-timer">
                        <ul class="countdown-list" data-countdown="' . $event['date'] . '"></ul>
                    </div>
                    <div class="event-image">
                        <img src="' . $event['image'] . '" alt="Image_not_found">
                        <div class="post-date">
                            <span class="date">' . date('jS', strtotime($event['date'])) . '</span>
                            <small class="month">' . date('M', strtotime($event['date'])) . '</small>
                        </div>
                    </div>
                    <div class="event-content">
                        <div class="event-title mb-30">
                            <h3 class="title">' . $event['title'] . '</h3>
                            <span class="ticket-price yellow-color">' . $event['ticket_price'] . '</span>
                        </div>
                        <div class="event-post-meta ul-li-block mb-30">
                            <ul>
                                <li>
                                    <span class="icon"><i class="far fa-clock"></i></span>
                                    Start ' . $event['start_time'] . '
                                </li>
                                <li>
                                    <span class="icon"><i class="fas fa-map-marker-alt"></i></span>
                                    ' . $event['location'] . '
                                </li>
                            </ul>
                        </div>
                        <a href="' . $event['registration_link'] . '" class="custom-btn">REGISTER</a>
                    </div>
                </div>
            </div>';
        }

        echo '</div>
        </div>
    </section>';
    } else {
        // No events found
        echo '<p>No upcoming events found.</p>';
    }
    ?>

    <!-- about-section - end
		================================================== -->



 <?php
include 'conn.php'; // Ensure the path is correct

if (!$conn) {
    die("<div class='alert alert-danger'>PDO connection failed. Check conn.php.</div>");
}

// Pagination parameters
$itemsPerPage = 10;
$currentCategory = isset($_GET['category']) ? $_GET['category'] : 'all';
$currentPage = isset($_GET['page']) ? (int)$_GET['page'] : 1;
$offset = ($currentPage - 1) * $itemsPerPage;

// Fetch total number of items for pagination
try {
    if ($currentCategory == 'all') {
        $stmt = $conn->prepare("SELECT COUNT(*) FROM gallery");
    } else {
        $stmt = $conn->prepare("SELECT COUNT(*) FROM gallery WHERE type = :type");
        $stmt->bindParam(':type', $currentCategory);
    }
    $stmt->execute();
    $totalItems = $stmt->fetchColumn();
} catch (PDOException $e) {
    echo "<div class='alert alert-danger'>Error fetching total items: " . $e->getMessage() . "</div>";
    $totalItems = 0;
}

// Fetch gallery items for the current page
try {
    if ($currentCategory == 'all') {
        $stmt = $conn->prepare("SELECT * FROM gallery ORDER BY created_at DESC LIMIT :limit OFFSET :offset");
    } else {
        $stmt = $conn->prepare("SELECT * FROM gallery WHERE type = :type ORDER BY created_at DESC LIMIT :limit OFFSET :offset");
        $stmt->bindParam(':type', $currentCategory);
    }
    $stmt->bindValue(':limit', $itemsPerPage, PDO::PARAM_INT);
    $stmt->bindValue(':offset', $offset, PDO::PARAM_INT);
    $stmt->execute();
    $galleryItems = $stmt->fetchAll(PDO::FETCH_ASSOC);
} catch (PDOException $e) {
    echo "<div class='alert alert-danger'>Error fetching gallery items: " . $e->getMessage() . "</div>";
    $galleryItems = [];
}

// Calculate total pages
$totalPages = ceil($totalItems / $itemsPerPage);
?>

<!-- event-gallery-section - start -->
<section id="event-gallery-section" class="event-gallery-section sec-ptb-100 clearfix">

    <!-- section-title - start -->
    <div class="section-title text-center mb-50">
        <small class="sub-title">junior church gallery</small>
        <h2 class="big-title">Beautiful & <strong>Unforgettable Moments</strong></h2>
    </div>
    <!-- section-title - end -->

    <div class="button-group filters-button-group mb-30">
        <button class="button <?= $currentCategory == 'all' ? 'is-checked' : '' ?>" data-filter="*">
            <i class="fas fa-star"></i>
            <strong>all</strong> gallery
        </button>
        <button class="button <?= $currentCategory == 'video' ? 'is-checked' : '' ?>" data-filter=".video-gallery">
            <i class="fas fa-play-circle"></i>
            <strong>video</strong> gallery
        </button>
        <button class="button <?= $currentCategory == 'photo' ? 'is-checked' : '' ?>" data-filter=".photo-gallery">
            <i class="far fa-image"></i>
            <strong>photo</strong> gallery
        </button>
    </div>

    <div class="grid zoom-gallery clearfix mb-80" data-isotope='{ "masonry": { "columnWidth": 0 } }'>
        <?php
        foreach ($galleryItems as $item) {
            $categoryClass = $item['type'] == 'video' ? 'video-gallery' : 'photo-gallery';
            $imageSrc = htmlspecialchars($item['image_path'], ENT_QUOTES, 'UTF-8');
            $title = htmlspecialchars($item['title'], ENT_QUOTES, 'UTF-8');
            $description = htmlspecialchars($item['description'], ENT_QUOTES, 'UTF-8');
            $url = htmlspecialchars($item['url'], ENT_QUOTES, 'UTF-8');

            if ($item['type'] == 'video') {
                echo "
                <div class='grid-item grid-item--width2 $categoryClass' data-category='$categoryClass'>
                    <a class='popup-youtube' href='$url'>
                        <img src='$imageSrc' alt='Image_not_found'>
                    </a>
                    <div class='item-content'>
                        <h3>$title</h3>
                        <span>$description</span>
                    </div>
                </div>
                ";
            } else {
                echo "
                <div class='grid-item grid-item--height2 $categoryClass' data-category='$categoryClass'>
                    <a class='popup-link' href='$imageSrc'>
                        <img src='$imageSrc' alt='Image_not_found'>
                    </a>
                    <div class='item-content'>
                        <h3>$title</h3>
                        <span>$description</span>
                    </div>
                </div>
                ";
            }
        }
        ?>
    </div>

   

    <!-- Pagination - start -->
    <div class="col-lg-12 col-md-12 col-sm-12">
        <div class="pagination ul-li clearfix">
            <ul>
                <?php if ($totalPages > 1): ?>
                    <?php if ($currentPage > 1): ?>
                        <li class="page-item prev-item">
                            <a class="page-link" href="?category=<?= $currentCategory ?>&page=<?= $currentPage - 1 ?>">Prev</a>
                        </li>
                    <?php else: ?>
                        <li class="page-item prev-item disabled">
                            <a class="page-link" href="#">Prev</a>
                        </li>
                    <?php endif; ?>

                    <?php for ($i = 1; $i <= $totalPages; $i++): ?>
                        <li class="page-item <?= $currentPage == $i ? 'active' : '' ?>">
                            <a class="page-link" href="?category=<?= $currentCategory ?>&page=<?= $i ?>"><?= str_pad($i, 2, '0', STR_PAD_LEFT) ?></a>
                        </li>
                    <?php endfor; ?>

                    <?php if ($currentPage < $totalPages): ?>
                        <li class="page-item next-item">
                            <a class="page-link" href="?category=<?= $currentCategory ?>&page=<?= $currentPage + 1 ?>">Next</a>
                        </li>
                    <?php else: ?>
                        <li class="page-item next-item disabled">
                            <a class="page-link" href="#">Next</a>
                        </li>
                    <?php endif; ?>
                <?php endif; ?>
            </ul>
        </div>
    </div>
    <!-- Pagination - end -->

</section>
<!-- event-gallery-section - end -->








   








    <!-- advertisement-section - start
		================================================== -->
    <section id="advertisement-section" class="advertisement-section clearfix" style="background-image: url(assets/img/banner-bg.png);">
        <div class="container">
            <div class="advertisement-content text-center">

                <h2 class="title-large white-color">Are you ready to make <strong>a story with Junior Church?</strong></h2>
                <p class="mb-31 text-white">“Join the Junior Church Network Now.”</p>
                <a href="#!" class="purchase-btn">Join JC Network!</a>

            </div>
        </div>
    </section>
    <!-- advertisement-section - end
		================================================== -->





    <!-- partners-clients-section - start
		================================================== -->
    <section id="partners-clients-section" class="partners-clients-section bg-gray-light sec-ptb-100 clearfix">
        <div class="container">

            <!-- section-title - start -->
            <div class="section-title text-center mb-50">
                <small class="sub-title">we are junior church</small>
                <h2 class="big-title">We have <strong>Best Sponsors </strong></h2>
                <p class="m-0 black-color">
                    Meet our Sponsors and Teenagers
                </p>
            </div>
            <!-- section-title - end -->

            <div class="row">

                <!-- partners-wrapper - start -->
                <div class="col-lg-6 col-md-12 col-sm-12">
                    <div class="partners-wrapper">
                        <span class="carousel-title">
                            meet our <strong>sponsors</strong>
                        </span>
                        <div id="partners-carousel" class="partners-carousel owl-carousel owl-theme">

                            <div class="item">
                                <ul>

                                    <li>
                                        <a href="#!">
                                            <img src="assets/img/njc.png" alt="Image_not_found">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#!">
                                            <img src="assets/img/njc.png" alt="Image_not_found">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#!">
                                            <img src="assets/img/njc.png" alt="Image_not_found">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#!">
                                            <img src="assets/img/njc.png" alt="Image_not_found">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#!">
                                            <img src="assets/img/njc.png" alt="Image_not_found">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#!">
                                            <img src="assets/img/njc.png" alt="Image_not_found">
                                        </a>
                                    </li>

                                </ul>
                            </div>

                            <div class="item">
                                <ul>

                                    <li>
                                        <a href="#!">
                                            <img src="assets/images/dtce.png" alt="Image_not_found">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#!">
                                            <img src="assets/images/dtce.png" alt="Image_not_found">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#!">
                                            <img src="assets/images/dtce.png" alt="Image_not_found">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#!">
                                            <img src="assets/images/dtce.png" alt="Image_not_found">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#!">
                                            <img src="assets/images/dtce.png" alt="Image_not_found">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#!">
                                            <img src="assets/images/dtce.png" alt="Image_not_found">
                                        </a>
                                    </li>

                                </ul>
                            </div>

                            <div class="item">
                                <ul>

                                    <li>
                                        <a href="#!">
                                            <img src="assets/img/dtcelogo.png" alt="Image_not_found">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#!">
                                            <img src="assets/img/dtcelogo.png" alt="Image_not_found">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#!">
                                            <img src="assets/img/dtcelogo.png" alt="Image_not_found">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#!">
                                            <img src="assets/img/dtcelogo.png" alt="Image_not_found">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#!">
                                            <img src="assets/img/dtcelogo.png" alt="Image_not_found">
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#!">
                                            <img src="assets/img/dtcelogo.png" alt="Image_not_found">
                                        </a>
                                    </li>

                                </ul>
                            </div>

                        </div>
                    </div>
                </div>
                <!-- partners-wrapper - end -->

                <!-- clients-testimonial - start -->
                <div class="col-lg-6 col-md-12 col-sm-12">
                    <div class="clients-testimonial" style="background-image: url(assets/img/widget-pattern.png);">
                        <div class="overlay-black">

                            <div class="section-title text-center mb-50">
                                <small class="sub-title">testimonies</small>
                                <h2 class="big-title">See what people <strong>say</strong></h2>
                            </div>

                            <div id="clients-testimonial-carousel" class="clients-testimonial-carousel owl-carousel owl-theme">
                                <div class="item text-center">
                                    <p class="mb-30 text-white">
                                        “To God be thy glory for saving me and making me to yield to his calling in my life.”
                                    </p>
                                    <div class="client-info">
                                        <h3 class="client-name">PASTOR AYO FASORO</h3>
                                        <span class="client-sub-title">NATIONAL JUNIOR COORDINATOR.</span>
                                    </div>
                                </div>

                                <div class="item text-center">
                                    <p class="mb-30 text-white">
                                        “To God be thy glory for saving me and making me to yield to his calling in my life.”
                                    </p>
                                    <div class="client-info">
                                        <h3 class="client-name">PASTOR JOHNSON</h3>
                                        <span class="client-sub-title">PRINCIPAL ADMIN DTCE.</span>
                                    </div>
                                </div>

                                <div class="item text-center">
                                    <p class="mb-30 text-white">
                                        “To God be thy glory for saving me and making me to yield to his calling in my life.”
                                    </p>
                                    <div class="client-info">
                                        <h3 class="client-name">PASTOR AYOTUNDE OLUMIDE</h3>
                                        <span class="client-sub-title">SENIOR ADMIN DTCE.</span>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                <!-- clients-testimonial - end -->

            </div>

        </div>
    </section>
    <!-- partners-clients-section - end
		================================================== -->





    <!-- news-update-section - start
		================================================== -->
		<section id="news-update-section" class="news-update-section sec-ptb-100 clearfix">
			<div class="container">
				<div class="row">

					<!-- faq-accordion - start -->
					<div class="col-lg-6 col-md-12 col-sm-12">
						<!-- section-title - start -->
						<div class="section-title mb-30">
							<span class="line-style"></span>
							<small class="sub-title">find an answer</small>
							<h2 class="big-title">ask a <strong>questions</strong></h2>
						</div>
						<!-- section-title - end -->
						<div id="faq-accordion" class="faq-accordion">

							<div class="card">
								<div class="card-header" id="headingone">
									<button class="btn collapsed" data-toggle="collapse" data-target="#collapseone" aria-expanded="true" aria-controls="collapseone">
										<span>01.</span> How to register for 2024 Junior church Annual Convention ?
									</button>
								</div>

								<div id="collapseone" class="collapse" aria-labelledby="headingone" data-parent="#faq-accordion">
									<div class="card-body">
										<h3>answer</h3>
										Log on to <a href="https://www.rccgjuniorchurch.org" target="_blank">https://www.rccgjuniorchurch.org</a> and navigate to the event advertisement section, click on NIGERIANS for all Nigeria Participants and on FOREIGNERS for all foreigner Participants
									</div>
								</div>
							</div>

							<div class="card">
								<div class="card-header" id="headingtwo">
									<button class="btn" data-toggle="collapse" data-target="#collapsetwo" aria-expanded="false" aria-controls="collapsetwo">
										<span>02.</span> How to make payment?
									</button>
								</div>
								<div id="collapsetwo" class="collapse show" aria-labelledby="headingtwo" data-parent="#faq-accordion">
									<div class="card-body">
										<h3>answer</h3>
										The portal now accommodates both online and offline Payment.
										<br> <b>Online Payment:</b> You can pay with your credit cards and other available options on the portal<br>
										<b>Offline Payment:</b> You can go to the bank, and make your payment in favour of RCCG CAMP MEETINGS (ACCESS BANK) and then come back to the portal for your registration
									</div>
								</div>
							</div>

							<div class="card">
								<div class="card-header" id="headingthree">
									<button class="btn collapsed" data-toggle="collapse" data-target="#collapsethree" aria-expanded="false" aria-controls="collapsethree">
										<span>03.</span> What is the Price for the Event Tickets?
									</button>
								</div>
								<div id="collapsethree" class="collapse" aria-labelledby="headingthree" data-parent="#faq-accordion">
									<div class="card-body">
										<h3>answer</h3>
										The tickets are in three categories: Children, Teens and Teachers ticket, which are #500 and #1000 respectively.
									</div>
								</div>
							</div>

							<div class="card">
								<div class="card-header" id="headingfour">
									<button class="btn collapsed" data-toggle="collapse" data-target="#collapsefour" aria-expanded="false" aria-controls="collapsefour">
										<span>04.</span> What to do after payment is done?
									</button>
								</div>
								<div id="collapsefour" class="collapse" aria-labelledby="headingfour" data-parent="#faq-accordion">
									<div class="card-body">
										<h3>answer</h3>
										For both Online payment and Offline, you will be expected to login with your province's login details and then click on Online payment or Bank payment and follow prompt<br>

									</div>
								</div>
							</div>

						</div>
					</div>
					<!-- faq-accordion - end -->


                <!-- latest-blog-wrapper - start -->
                <div class="col-lg-6 col-md-12 col-sm-12">
                    <div class="latest-blog-wrapper">

                        <!-- section-title - start -->
                        <div class="section-title mb-30">
                            <span class="line-style"></span>
                            <small class="sub-title">our blog</small>
                            <h2 class="big-title">latest <strong>news</strong></h2>
                        </div>
                        <!-- section-title - end -->

                        <!-- latest-blog - start -->
                        <div class="latest-blog clearfix">
                            <div class="blog-image">
                                <img src="assets/images/dtce/convention.png" alt="Image_not_found">
                                <a href="#!" class="plus-effect"></a>
                            </div>
                            <div class="blog-content">
									<div class="blog-title mb-30">
										<h3>72ND <sup>th</sup> ANNUAL CONVENTION</h3>
										<span>5th-11th August 2024</span>
									</div>
									<p class="m-0">
										This is an annual event of RCCG in the month of August.
									</p>
								</div>
							</div>
                        <!-- latest-blog - end -->

                        <!-- latest-blog - start -->
                        <div class="latest-blog clearfix">
								<div class="blog-image">
									<img src="assets/images/dtce/convention.png" alt="Image_not_found">
									<a href="#!" class="plus-effect"></a>
								</div>
								<div class="blog-content">
									<div class="blog-title mb-30">
										<h3>72ND <sup>th</sup> ANNUAL CONVENTION</h3>
										<span>5th-11th August 2024</span>
									</div>
									<p class="m-0">
										This is an annual event of RCCG in the month of August.
									</p>
								</div>
							</div>
                        <!-- latest-blog - end -->

                    </div>
                </div>
                <!-- latest-blog-wrapper - end -->

            </div>
        </div>
    </section>
    <!-- news-update-section - end
		================================================== -->





    <!-- google map - start
		================================================== -->
    <section id="map-section" class="map-section clearfix">
        <div class="address-wrapper">

            <!-- address-info-topbar - start -->
            <div class="address-info-topbar mb-30 clearfix">
                <div class="address-info-left">
                    <h3 class="title-text">JUNIOR CHURCH</h3>
                    <p class="m-0">
                        Glory Arena, KM 46 Lagos-Ibadan Expressway,
                        Redemption Camp, Ogun State.
                    </p>
                </div>

                <div class="address-info-right">
                    <ul>
                        <li>
                            <button type="button">
                                <span class="icon"><i class="fas fa-street-view"></i></span>
                                <small>Direction</small>
                            </button>
                        </li>
                        <li>
                            <button type="button">
                                <span class="icon"><i class="fas fa-rss"></i></span>
                                <small>Save</small>
                            </button>
                        </li>
                    </ul>
                </div>
            </div>
            <!-- address-info-topbar - end -->

            <!-- address-info-bottombar - start -->
            <div class="address-info-bottombar clearfix">
                <div class="address-info-left">
                    <div class="rating-star">


                    </div>
                    <img src="assets/images/dtce.png" width="100px" alt="rccgdtce">
                </div>

                <div class="address-info-right">
                    <button type="button" class="map-larger-btn">
                        view larger map
                    </button>
                </div>
            </div>
            <!-- address-info-bottombar - end -->

        </div>
        <div id="google-map">
            <div id="googleMaps" class="google-map-container"></div>
        </div>
    </section>
    <!-- google map - end
		================================================== -->





    <!-- footer-section2 - start
		================================================== -->
    <footer id="footer-section" class="footer-section footer-section2 clearfix">

        <!-- footer-top - start -->
        <div class="footer-top sec-ptb-100 clearfix">
            <div class="container">
                <div class="row">

                    <!-- about-wrapper - start -->
                    <div class="col-lg-4 col-md-6 col-sm-12">
                        <div class="about-wrapper">

                            <!-- site-logo-wrapper - start -->
                            <div class="site-logo-wrapper mb-30">
                                <a href="index-1.html" class="logo">
                                    <img src="assets/images/dtce.png" width="100px" alt="logo_not_found">
                                </a>
                            </div>
                            <!-- site-logo-wrapper - end -->

                            <p class="mb-30" style="color: white">
                                The largest community of the children of God in world.
                            </p>

                            <!-- basic-info - start -->
                            <div class="basic-info ul-li-block mb-50">
                                <ul>
                                    <li>
                                        <i class="fas fa-map-marker-alt"></i>
                                        Glory Arena, KM 46 Lagos-Ibadan Expressway,
                                        Redemption Camp, Ogun State.
                                    </li>
                                    <li>
                                        <i class="fas fa-envelope"></i>
                                        <a href="#!">contact@rccgjuniorchurch.org</a>
                                    </li>
                                    <li>
                                        <i class="fas fa-phone"></i>
                                        <a href="#!">+234 815 173 8493</a>
                                    </li>
                                </ul>
                            </div>
                            <!-- basic-info - end -->

                            <!-- social-links - start -->
                            <div class="social-links ul-li">
                                <h3 class="social-title">follow us</h3>
                                <ul>
                                    <li>
                                        <a href="https://www.facebook.com/@dtcerccg"><i class="fab fa-facebook-f"></i></a>
                                    </li>
                                    <li>
                                        <a href="https://www.twitter.com/@rccgdtce"><i class="fab fa-twitter"></i></a>
                                    </li>
                                    <li>
                                        <a href="https://www.instagram.com/@rccgdtce"><i class="fab fa-instagram"></i></a>
                                    </li>
                                    <li>
                                        <a href="https://www.youtube.com/@rccgdtce"><i class="fab fa-youtube"></i></a>
                                    </li>
                                </ul>
                            </div>
                            <!-- social-links - end -->

                        </div>
                    </div>
                    <!-- about-wrapper - end -->

                    <!-- usefullinks-wrapper - start -->
                    <div class="col-lg-4 col-md-6 col-sm-12">
                        <div class="usefullinks-wrapper ul-li-block">
                            <h3 class="footer-item-title">
                                useful <strong>links</strong>
                            </h3>
                            <ul>
                                <li><a href="#!">Back Home</a></li>
                                <li><a href="#!">Event</a></li>
                                <li><a href="#!">Contact us</a></li>
                                <li><a href="#!">Events Schedule</a></li>
                                <li><a href="#!">Sponsors</a></li>
                                <li><a href="#!">Venues</a></li>
                                <li><a href="#!">Speakers</a></li>
                                <li><a href="#!">Faqs</a></li>
                            </ul>

                        </div>
                    </div>
                    <!-- usefullinks-wrapper - end -->

                    <!-- instagram-wrapper - start -->
                    <div class="col-lg-4 col-md-6 col-sm-12">
                     <div class="instagram-wrapper ul-li">
								<h3 class="footer-item-title">
									junior church Instagram<strong>instagram</strong>
								</h3>
								<ul>
									<li class="image-wrapper">
										<img src="assets/images/footer/instagram/img1.png" alt="Image_not_found">
										<a href="#!"><i class="fab fa-instagram"></i></a>
									</li>
									<li class="image-wrapper">
										<img src="assets/images/footer/instagram/img2.png" alt="Image_not_found">
										<a href="#!"><i class="fab fa-instagram"></i></a>
									</li>
									<li class="image-wrapper">
										<img src="assets/images/footer/instagram/img3.png" alt="Image_not_found">
										<a href="#!"><i class="fab fa-instagram"></i></a>
									</li>
									<li class="image-wrapper">
										<img src="assets/images/footer/instagram/img4.png" alt="Image_not_found">
										<a href="#!"><i class="fab fa-instagram"></i></a>
									</li>
								</ul>
								<h4 class="followus-link">
									Follow Our Instagram <a href="#!">#Harmoni</a>
								</h4>
							</div>
                    <!-- instagram-wrapper - end -->

                </div>
            </div>
        </div>
        <!-- footer-top - end -->
 <style>
        .modal-content {
            border-radius: 10px;
            box-shadow: 0 0 15px rgba(0,0,0,0.2);
            width: 90vw; /* Default width for smaller screens */
            max-width: 1000px; /* Maximum width for larger screens */
            margin: 0 auto; /* Center the modal */
        }
        .modal-header {
            border-bottom: none;
            position: relative;
        }
        .modal-header .close {
            position: absolute;
            right: 15px;
            top: 15px;
        }
        .modal-body {
            max-height: 80vh; /* Adjust the height to fit the screen better */
            overflow-y: auto;
        }
        .countdown-timer {
            margin-bottom: 50px;
        }
        .countdown-list {
            list-style: none;
            padding: 0;
            display: flex;
            justify-content: space-around;
        }
        .timer-item {
            text-align: center;
        }
        .timer-item strong {
            display: block;
            font-size: 2rem;
        }
        .timer-item small {
            display: block;
        }
        .image-container {
            position: relative;
        }
        .play-button {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }
        .avatar-img {
            width: 35px;
            height: 35px;
            border-radius: 50%;
            border: 2px solid #fff;
            box-sizing: border-box;
        }
        .message-composer {
            display: flex;
            justify-content: flex-end;
            padding: 15px;
        }
        .modal-footer {
            text-align: center;
        }

        /* Media Queries */
        @media (min-width: 768px) {
            .modal-dialog {
                max-width: 90%; /* Width of modal on medium screens and up */
            }
        }
        @media (min-width: 992px) {
            .modal-dialog {
                max-width: 80%; /* Width of modal on large screens and up */
            }
        }
        @media (min-width: 1200px) {
            .modal-dialog {
                max-width: 70%; /* Width of modal on extra-large screens and up */
            }
        }
    </style>

<!-- Modal - LOGIN INFO -->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="myModalLabel">Heaven | A Beautiful Home | Teens Global Summit | August 2024</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="countdown-timer mb-50">
                    <ul class="countdown-list" data-countdown="2024-08-09 10:00:00">
                        <li class="timer-item days">
                            <strong id="days">00</strong>
                            <small>days</small>
                        </li>
                        <li class="timer-item hours">
                            <strong id="hours">00</strong>
                            <small>hours</small>
                        </li>
                        <li class="timer-item mins">
                            <strong id="mins">00</strong>
                            <small>mins</small>
                        </li>
                        <li class="timer-item seco">
                            <strong id="secs">00</strong>
                            <small>secs</small>
                        </li>
                    </ul>
                </div>
                <div class="image-container position-relative">
                    <img id="modalImage" src="" alt="Image" class="img-fluid">
                    <div class="play-button position-absolute">
                        <a id="modalVideoLink" href="#" data-toggle="modal" data-target="#videoModal">
                            <img src="youtube.png" alt="Play" width="70"/>
                        </a>
                    </div>
                </div>
                <p class="text-center mt-3">
                    <strong id="modalDate"></strong><br>
                    <b id="modalTimeDetails"></b>
                </p>
            </div>
            <div class="modal-footer">
                <h6 id="modalFooterText"></h6>
            </div>
        </div>
    </div>
</div>

<!-- Video Modal -->
<div class="modal fade" id="videoModal" tabindex="-1" role="dialog" aria-labelledby="videoModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="videoModalLabel">Heaven | A Beautiful Home | Teens Global Summit | August 2024</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="embed-responsive embed-responsive-16by9">
                    <iframe id="videoIframe" src="https://www.youtube.com/embed/y3ciohOtenU" title="PRAISE SESSION || RCCG DTCE ANNUAL CONVENTION 2024 || DAY 5 || AFTERNOON SESSION" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<!-- Bootstrap JS and dependencies -->
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

<!-- JavaScript to automatically trigger the modal -->
<script>
    $(document).ready(function() {
        $('#myModal').modal('show');
    });
</script>
    </footer>
    <!-- footer-section2 - end
		================================================== -->
<script> (function(d, s, id) { var js; if (d.getElementById(id)) {return;} js = d.createElement(s); js.id = id; js.src = "https://embedsocial.com/cdn/ht.js"; d.getElementsByTagName("head")[0].appendChild(js); }(document, "script", "EmbedSocialHashtagScript")); </script>
<script>
 async function loadModalInfo() {
            try {
                const response = await fetch('fetch_latest_modal_info.php');
                const data = await response.json();

                if (data && !data.error) {
                    document.getElementById('myModalLabel').innerText = data.title || 'Default Title';
                    document.getElementById('modalImage').src = data.image_url || './uploads/virt.jpg';
                    document.getElementById('modalVideoLink').href = data.video_url || '#';
                    document.getElementById('modalDate').innerHTML = `<strong>Date: ${new Date(data.date).toDateString()}</strong>`;
                    document.getElementById('modalTimeDetails').innerHTML = `<b>${data.time_details}</b>`;
                    document.getElementById('modalFooterText').innerText = data.footer_text || 'Default Footer Text';

                    if (data.video_url) {
                        const videoId = new URL(data.video_url).searchParams.get('v');
                        document.getElementById('videoIframe').src = `https://www.youtube.com/embed/${videoId}`;
                    } else {
                        document.getElementById('videoIframe').src = '';
                    }
                } else {
                    console.error('No data found or error:', data.error);
                }
            } catch (error) {
                console.error('Error fetching modal info:', error);
            }
        }

        // Load modal info on page load
        document.addEventListener('DOMContentLoaded', loadModalInfo);
$(document).ready(function() {
    var playButton = $('#playButton');
    var myModal = $('#myModal');
    var videoModal = $('#videoModal');
    var videoFrame = $('#videoFrame');

    // Always show the play button
    playButton.show();

    // Show the first modal on page load
    myModal.modal('show');

    // Hide the first modal and show the video modal when the play button is clicked
    playButton.on('click', function() {
        myModal.modal('hide'); // Hide the first modal
        videoModal.modal('show'); // Show the video modal
    });

    // Set the YouTube video URL in the iframe when the video modal is shown
    videoModal.on('show.bs.modal', function () {
        videoFrame.attr('src', 'https://www.youtube.com/embed/6ii9hvbGSI4?autoplay=1');
    });

    // When the video modal is hidden, stop the video by clearing the src
    videoModal.on('hidden.bs.modal', function () {
        videoFrame.attr('src', '');
    });
});
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>

    <!-- fraimwork - jquery include -->
    <script src="assets/js/jquery-3.3.1.min.js"></script>
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- carousel jquery include -->
    <script src="assets/js/slick.min.js"></script>
    <script src="assets/js/owl.carousel.min.js"></script>

    <!-- map jquery include -->
    <script src="assets/js/gmap3.min.js"></script>
    <script src="http://maps.google.com/maps/api/js?key=AIzaSyC61_QVqt9LAhwFdlQmsNwi5aUJy9B2SyA"></script>

    <!-- calendar jquery include -->
    <script src="assets/js/atc.min.js"></script>

    <!-- others jquery include -->
    <script src="assets/js/jquery.magnific-popup.min.js"></script>
    <script src="assets/js/isotope.pkgd.min.js"></script>
    <script src="assets/js/jarallax.min.js"></script>
    <script src="assets/js/jquery.mCustomScrollbar.concat.min.js"></script>

    <!-- gallery img loaded - jqury include -->
    <script src="assets/js/imagesloaded.pkgd.min.js"></script>

    <!-- multy count down - jqury include -->
    <script src="assets/js/jquery.countdown.js"></script>


    <!-- custom jquery include -->
    <script src="assets/js/custom.js"></script>


 <script>
        // Set the date we're counting down to
        var countDownDate = new Date("August 9, 2024 10:00:00").getTime();
    
        // Update the count down every 1 second
        var x = setInterval(function() {
    
            // Get todays date and time
            var now = new Date().getTime();
    
            // Find the distance between now an the count down date
            var distance = countDownDate - now;
    
            // Time calculations for days, hours, minutes and seconds
            var days = Math.floor(distance / (1000 * 60 * 60 * 24));
            var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
            var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
            var seconds = Math.floor((distance % (1000 * 60)) / 1000);
    
            // Output the result in an element with id="demo"
            if (distance < 0){
            clearInterval(x);
     
            document.getElementById("register").disabled= true;
            document.getElementById("register").innerHTML = "WATCH NOW";
            document.getElementById("reg").disabled= true;
            document.getElementById("reg").innerHTML = "WATCH NOW";
            document.getElementById("payment").disabled= true;
            document.getElementById("payment").innerHTML = "BOOKING CLOSED";
            document.getElementById("pay").disabled= true;
            document.getElementById("pay").innerHTML = "BOOKING CLOSED";
    }
            else{
            document.getElementById("day").innerHTML =days;
            document.getElementById("hour").innerHTML = hours;
            document.getElementById("min").innerHTML = minutes;
            document.getElementById("sec").innerHTML = seconds;
            // If the count down is over, write some text
           
          }      
            
        }, 1000);
    </script>
 <script>
     function updateCountdown() {
    const countdownElement = document.querySelector('.countdown-list');
    const endDate = new Date(countdownElement.getAttribute('data-countdown'));
    const now = new Date();
    const timeRemaining = endDate - now;

    if (timeRemaining <= 0) {
        countdownElement.innerHTML = "";
        return;
    }

    const days = Math.floor(timeRemaining / (1000 * 60 * 60 * 24));
    const hours = Math.floor((timeRemaining % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
    const mins = Math.floor((timeRemaining % (1000 * 60 * 60)) / (1000 * 60));
    const secs = Math.floor((timeRemaining % (1000 * 60)) / 1000);

    document.getElementById('days').textContent = String(days).padStart(2, '0');
    document.getElementById('hours').textContent = String(hours).padStart(2, '0');
    document.getElementById('mins').textContent = String(mins).padStart(2, '0');
    document.getElementById('secs').textContent = String(secs).padStart(2, '0');
}

setInterval(updateCountdown, 1000);
updateCountdown(); // Initial call to display the countdown immediately

    </script>


<script>
$(document).ready(function(){
  $("#main-carousel1").owlCarousel({
    items: 1,
    loop: true,
    autoplay: true,
    autoplayTimeout: 5000,
    nav: true,
    dots: true
  });
});
</script>


</body>


</html>