<?php
// Include database connection
include 'conn.php';

// Check if $pdo is set and not null
if (!$conn) {
    die("Database connection failed.");
}

// SQL statement to create the table
$sql = "
CREATE TABLE modal_info (
    id INT AUTO_INCREMENT PRIMARY KEY,
    title VARCHAR(255) NOT NULL,
    image_url VARCHAR(255) NOT NULL,
    video_url VARCHAR(255) NOT NULL,
    date DATETIME NOT NULL,
    time_details TEXT NOT NULL,
    footer_text VARCHAR(255) NOT NULL,
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
);
";

// Execute the SQL statement
try {
    $conn->exec($sql);
    echo "Table 'modal_info' created successfully.";
} catch (PDOException $e) {
    echo "Error creating table: " . $e->getMessage();
}
?>
