<?php
require_once 'conn.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $type = $_POST['type'];
    $title = $_POST['title'];
    $description = $_POST['description'];
    $url = isset($_POST['url']) ? $_POST['url'] : null;

    // Handle file upload
    if (isset($_FILES['image_path']) && $_FILES['image_path']['error'] == 0) {
        $target_dir = "uploads/";
        $target_file = $target_dir . basename($_FILES["image_path"]["name"]);
        move_uploaded_file($_FILES["image_path"]["tmp_name"], $target_file);

        // Insert into the database
        $sql = "INSERT INTO gallery (type, title, description, image_path, url) VALUES (:type, :title, :description, :image_path, :url)";
        $stmt = $conn->prepare($sql);
        $stmt->execute([
            ':type' => $type,
            ':title' => $title,
            ':description' => $description,
            ':image_path' => $target_file,
            ':url' => $url
        ]);

        header('Location: galleryadmin.php');
    } else {
        echo "Error uploading file.";
    }
}
?>
